

### All Types

| Name | Summary |
|---|---|
| [com.agoda.kakao.AnyTextMatcher](../com.agoda.kakao/-any-text-matcher/index.md) | Matches TextView views which contains any text |
| [com.agoda.kakao.BaseActions](../com.agoda.kakao/-base-actions/index.md) | Base interface for performing actions on view |
| [com.agoda.kakao.BaseAssertions](../com.agoda.kakao/-base-assertions/index.md) | Base interface for asserting views |
| [com.agoda.kakao.CheckableActions](../com.agoda.kakao/-checkable-actions/index.md) | Provides action for checking views |
| [com.agoda.kakao.CheckableAssertions](../com.agoda.kakao/-checkable-assertions/index.md) | Provides checkable based assertions for views |
| [com.agoda.kakao.DataBuilder](../com.agoda.kakao/-data-builder/index.md) | Class for building data matchers |
| [com.agoda.kakao.DrawableMatcher](../com.agoda.kakao/-drawable-matcher/index.md) | Matches given drawable with current one |
| [com.agoda.kakao.DrawerActions](../com.agoda.kakao/-drawer-actions/index.md) | Provides actions for navigation drawer |
| [com.agoda.kakao.EditableActions](../com.agoda.kakao/-editable-actions/index.md) | Provides editable actions for views |
| [com.agoda.kakao.EditableAssertions](../com.agoda.kakao/-editable-assertions/index.md) | Provides editable based assertions for views |
| [com.agoda.kakao.FirstViewMatcher](../com.agoda.kakao/-first-view-matcher/index.md) | Matches first view |
| [com.agoda.kakao.ImageViewAssertions](../com.agoda.kakao/-image-view-assertions/index.md) | Provides assertion for image views |
| [com.agoda.kakao.IndexMatcher](../com.agoda.kakao/-index-matcher/index.md) | Matches index'th view that matches given matcher |
| [com.agoda.kakao.ItemMatcher](../com.agoda.kakao/-item-matcher/index.md) | Matches first RecyclerView descendant which matches specific matcher |
| [com.agoda.kakao.KAdapterItem](../com.agoda.kakao/-k-adapter-item/index.md) | Base class for KRecyclerView adapter items |
| [com.agoda.kakao.KAdapterItemType](../com.agoda.kakao/-k-adapter-item-type/index.md) | For internal use. Don't use manually. |
| [com.agoda.kakao.KAdapterItemTypeBuilder](../com.agoda.kakao/-k-adapter-item-type-builder/index.md) | Class that maps types to providing functions |
| [com.agoda.kakao.KBaseView](../com.agoda.kakao/-k-base-view/index.md) | Base class for all Kakao views |
| [com.agoda.kakao.KButton](../com.agoda.kakao/-k-button/index.md) | View with BaseActions and TextViewAssertions |
| [com.agoda.kakao.KCheckBox](../com.agoda.kakao/-k-check-box/index.md) | View with CheckableActions, CheckableAssertions and TextViewAssertions |
| [com.agoda.kakao.KDrawerView](../com.agoda.kakao/-k-drawer-view/index.md) | View with DrawerActions and BaseAssertions |
| [com.agoda.kakao.KEditText](../com.agoda.kakao/-k-edit-text/index.md) | View with EditableActions and EditableAssertions |
| [com.agoda.kakao.KEmptyAdapterItem](../com.agoda.kakao/-k-empty-adapter-item/index.md) | Empty implementation of KAdapterItem |
| [com.agoda.kakao.KEmptyRecyclerItem](../com.agoda.kakao/-k-empty-recycler-item/index.md) | Empty implementation of KRecyclerItem |
| [com.agoda.kakao.KImageView](../com.agoda.kakao/-k-image-view/index.md) | View with BaseActions and ImageViewAssertions |
| [com.agoda.kakao.KListView](../com.agoda.kakao/-k-list-view/index.md) | View with ScrollViewActions and BaseAssertions. Gives access to it's children |
| [com.agoda.kakao.KRecyclerItem](../com.agoda.kakao/-k-recycler-item/index.md) | Base class for KRecyclerView adapter items |
| [com.agoda.kakao.KRecyclerItemType](../com.agoda.kakao/-k-recycler-item-type/index.md) | For internal use. Don't use manually. |
| [com.agoda.kakao.KRecyclerItemTypeBuilder](../com.agoda.kakao/-k-recycler-item-type-builder/index.md) | Class that maps types to providing functions |
| [com.agoda.kakao.KRecyclerView](../com.agoda.kakao/-k-recycler-view/index.md) | View with RecyclerActions and BaseAssertions. Gives access to it's children |
| [com.agoda.kakao.KSwipeView](../com.agoda.kakao/-k-swipe-view/index.md) | View with SwipeableActions and BaseAssertions |
| [com.agoda.kakao.KTextView](../com.agoda.kakao/-k-text-view/index.md) | View with BaseActions and TextViewAssertions |
| [com.agoda.kakao.KView](../com.agoda.kakao/-k-view/index.md) | Simple view with BaseActions and BaseAssertions |
| [com.agoda.kakao.KViewPager](../com.agoda.kakao/-k-view-pager/index.md) | View with SwipeableActions and ViewPagerAssertions |
| [com.agoda.kakao.KWebView](../com.agoda.kakao/-k-web-view/index.md) | Class for interacting with WebViews |
| [com.agoda.kakao.PageMatcher](../com.agoda.kakao/-page-matcher/index.md) | Matches ViewPager which page index equals given |
| [com.agoda.kakao.PositionMatcher](../com.agoda.kakao/-position-matcher/index.md) | Matches RecyclerView descendant at given position in adapter |
| [com.agoda.kakao.RecyclerActions](../com.agoda.kakao/-recycler-actions/index.md) | Provides ScrollableActions implementation for RecyclerView |
| [com.agoda.kakao.RootBuilder](../com.agoda.kakao/-root-builder/index.md) | Class for building root matchers |
| [com.agoda.kakao.Screen](../com.agoda.kakao/-screen/index.md) | Container class for UI elements. |
| [com.agoda.kakao.ScreenActions](../com.agoda.kakao/-screen-actions/index.md) | Interface with common actions for all screens |
| [com.agoda.kakao.ScrollViewActions](../com.agoda.kakao/-scroll-view-actions/index.md) | Provides ScrollableActions implementation for ScrollView |
| [com.agoda.kakao.ScrollableActions](../com.agoda.kakao/-scrollable-actions/index.md) | Provides scrolling actions for view |
| [com.agoda.kakao.SwipeableActions](../com.agoda.kakao/-swipeable-actions/index.md) | Provides swipe actions for views |
| [com.agoda.kakao.TextViewAssertions](../com.agoda.kakao/-text-view-assertions/index.md) | Provides text based assertions for views |
| [com.agoda.kakao.ViewBuilder](../com.agoda.kakao/-view-builder/index.md) | Class for building view matchers and interactions |
| [com.agoda.kakao.ViewPagerAssertions](../com.agoda.kakao/-view-pager-assertions/index.md) | Provides assertions for view pagers |
| [com.agoda.kakao.WebActions](../com.agoda.kakao/-web-actions/index.md) | Provides action for interacting with WebViews |
| [com.agoda.kakao.WebAssertions](../com.agoda.kakao/-web-assertions/index.md) | Interface that provides assertions for WebViews |
| [com.agoda.kakao.WebElementBuilder](../com.agoda.kakao/-web-element-builder/index.md) | Class for building WebView element matchers |
